For the complete documentation index, see llms.txt. This page is also available as Markdown.

Datasets

get

Retrieves multiple datasets.

Query parameters
pageNumbernumber · min: 1Optional

The page number.

Default: 1
pageSizenumber · min: 1 · max: 100Optional

The page size.

Default: 10
searchstring · min: 1Optional

Search term to filter datasets by name or description.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all datasets for the workspace.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
contentUpdatedAtstring · date-timeRequired

When the dataset content was last updated.

descriptionstring · min: 3 · max: 250 · nullableRequired

The internal description of the dataset.

lastExecutedAtstring · date-time · nullableRequired

When this dataset was last used in an execution.

namestring · min: 3 · max: 50Required

The display name of the dataset.

workspaceIdstring · uuidRequired

The workspace ID that owns the dataset.

get/api/v1/datasets
GET /api/v1/datasets HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
[
  {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "contentUpdatedAt": "2026-01-01T00:00:00.000Z",
    "description": "text",
    "lastExecutedAt": "2026-01-01T00:00:00.000Z",
    "name": "text",
    "workspaceId": "123e4567-e89b-12d3-a456-426614174000"
  }
]
post

Creates a new dataset.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
descriptionstring · min: 3 · max: 250 · nullableRequired

The internal description of the dataset.

namestring · min: 3 · max: 50Required

The display name of the dataset.

Responses
200

The dataset was created.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
contentUpdatedAtstring · date-timeRequired

When the dataset content was last updated.

descriptionstring · min: 3 · max: 250 · nullableRequired

The internal description of the dataset.

lastExecutedAtstring · date-time · nullableRequired

When this dataset was last used in an execution.

namestring · min: 3 · max: 50Required

The display name of the dataset.

workspaceIdstring · uuidRequired

The workspace ID that owns the dataset.

post/api/v1/datasets
POST /api/v1/datasets HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "description": "text",
  "name": "text"
}
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "contentUpdatedAt": "2026-01-01T00:00:00.000Z",
  "description": "text",
  "lastExecutedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "workspaceId": "123e4567-e89b-12d3-a456-426614174000"
}
get

Retrieves a dataset.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves a dataset.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
contentUpdatedAtstring · date-timeRequired

When the dataset content was last updated.

descriptionstring · min: 3 · max: 250 · nullableRequired

The internal description of the dataset.

lastExecutedAtstring · date-time · nullableRequired

When this dataset was last used in an execution.

namestring · min: 3 · max: 50Required

The display name of the dataset.

workspaceIdstring · uuidRequired

The workspace ID that owns the dataset.

get/api/v1/datasets/{id}
GET /api/v1/datasets/{id} HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "contentUpdatedAt": "2026-01-01T00:00:00.000Z",
  "description": "text",
  "lastExecutedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "workspaceId": "123e4567-e89b-12d3-a456-426614174000"
}
delete

Removes a dataset.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

The dataset was removed.

application/json
messagestringRequired

An informative message for a call that has no effective result to be returned.

delete/api/v1/datasets/{id}
DELETE /api/v1/datasets/{id} HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
{
  "message": "text"
}
patch

Updates a dataset.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
contentUpdatedAtstring · date-timeOptional

When the dataset content was last updated.

descriptionstring · min: 3 · max: 250 · nullableOptional

The internal description of the dataset.

namestring · min: 3 · max: 50Optional

The display name of the dataset.

Responses
200

The dataset was updated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
contentUpdatedAtstring · date-timeRequired

When the dataset content was last updated.

descriptionstring · min: 3 · max: 250 · nullableRequired

The internal description of the dataset.

lastExecutedAtstring · date-time · nullableRequired

When this dataset was last used in an execution.

namestring · min: 3 · max: 50Required

The display name of the dataset.

workspaceIdstring · uuidRequired

The workspace ID that owns the dataset.

patch/api/v1/datasets/{id}
PATCH /api/v1/datasets/{id} HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 82

{
  "contentUpdatedAt": "2026-01-01T00:00:00.000Z",
  "description": "text",
  "name": "text"
}
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "contentUpdatedAt": "2026-01-01T00:00:00.000Z",
  "description": "text",
  "lastExecutedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "workspaceId": "123e4567-e89b-12d3-a456-426614174000"
}

Last updated